haideng123 发表于 2012-5-31 00:35:51

删除逗号后的文字.lsp




(defun c:test (/ ss i s1 txt ENT ENTL LENG N)
(setq i -1)
;;图中交互查找找符合的文字
(if (setq ss (ssget '((0 . "*TEXT") (1 . "*,*"))))
    (while (setq s1 (ssname ss (setq i (1+ i))))
      (setq txt(DXF 1 (entget s1)) ;获得群码
   leng (strlen txt);获得文字的长度
      )
      (if (setq n (vl-string-search "," txt)) ;在字符串中搜索指定子串
(setq txt (substr txt 1 n))
      )
      (setq ent (entget S1))
      (setq entl (cdr (assoc 1 ent)))
      (setq ENTL (subst (cons 1 TXT) (assoc 1 ENT) ENT))
      (entmod ENTl)
    )
)
(princ)
)

(defun dxf (code elist) (cdr (assoc code elist)))
页: [1]
查看完整版本: 删除逗号后的文字.lsp